## android-platform-system-extras 10.0.0+r36+ds

=== simpleperf/demo/CppApi/app/src/main/cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.1)
project(CppApiDemo LANGUAGES CXX)

add_library(
        native-lib
        SHARED
        native-lib.cpp
        ../../../../../../app_api/cpp/simpleperf.cpp)

target_include_directories(native-lib
        PRIVATE
        ../../../../../../app_api/cpp/)

find_library(
        log-lib
        log)

target_link_libraries(
        native-lib
        PRIVATE
        ${log-lib})

## android-platform-system-extras 6.0.1+r16

=== debian/changelog ===
android-platform-system-extras (6.0.1+r16-1) unstable; urgency=medium

  * New upstream release

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 16 Feb 2016 17:38:19 +0800

android-platform-system-extras (6.0.0+r26-1) unstable; urgency=low

  * Initial release (Closes: #810596)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 5 Feb 2016 21:02:44 +0800

=== debian/control ===
Source: android-platform-system-extras
Section: devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Kai-Chung Yan <seamlikok@gmail.com>
Build-Depends: debhelper (>=9),
               android-libsparse-dev (>= 1:6.0.0+r26~),
               android-libselinux-dev (>= 6.0.1+r16~),
               android-platform-build-headers (>= 1:6.0.0+r26~),
               android-platform-system-core-headers (>= 1:6.0.0+r26~),
               libf2fs-dev,
               zlib1g-dev
Standards-Version: 3.9.7
Homepage: https://android.googlesource.com/platform/system/extras
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-system-extras.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-system-extras.git

Package: android-libf2fs-utils
Section: libs
Architecture: amd64 i386
Depends: libf2fs0, ${shlibs:Depends}, ${misc:Depends}
Description: Android F2FS utility library
 This package contains only libf2fs_utils which is composed of libf2fs_ioutils
 and libf2fs_dlutils.
 .
 This library is only used by Android SDK currently.

Package: android-libf2fs-utils-dev
Section: libdevel
Architecture: amd64 i386
Depends: android-libf2fs-utils (= ${binary:Version}),
         libf2fs-dev,
         ${misc:Depends}
Description: Android F2FS utility library - Development files
 This package contains only libf2fs_utils which is composed of libf2fs_ioutils
 and libf2fs_dlutils.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

Package: android-libext4-utils
Section: libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android ext4 utility library
 This library is only used by Android SDK currently.

Package: android-libext4-utils-dev
Section: libdevel
Architecture: amd64 i386
Depends: android-libext4-utils (= ${binary:Version}), ${misc:Depends}
Description: Android ext4 utility library - Development files
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/android

override_dh_auto_build:
	make -f debian/libext4_utils.mk
	make -f debian/libf2fs_utils.mk

override_dh_auto_clean:
	make clean -f debian/libext4_utils.mk
	make clean -f debian/libf2fs_utils.mk

get-orig-source: $(UPSTREAM_TAG).tar.gz
	mk-origtargz --repack --compression xz $<

$(UPSTREAM_TAG).tar.gz:
	wget https://android.googlesource.com/platform/system/extras/+archive/$(UPSTREAM_TAG).tar.gz

## android-platform-system-extras 6.0.1+r55

=== debian/changelog ===
android-platform-system-extras (6.0.1+r55-1) unstable; urgency=medium

  * New upstream release.
  * debian: Add watch file for usage with uscan
  * debian/watch: recompress using xz
  * Update Android Build-Depends to the latest version available

 -- Chirayu Desai <chirayudesai1@gmail.com>  Sun, 21 Aug 2016 18:40:51 +0530

android-platform-system-extras (6.0.1+r16-2) unstable; urgency=medium

  * d/control:
    - Standards-Version => 3.9.8
    - Maintainer: Unify to "Android Tools Maintainers"
    - Add dh-exec to Build-Depends
  * Add multiarch android directory to RPATH (Closes: #826642)
  * Install the libraries to multiarch path
  * d/rules: Move some global compiler flags to here
  * Override binary-or-shlib-defines-rpath

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 07 Jun 2016 19:02:04 +0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: android-platform-system-extras
 Section: devel
 Priority: optional
-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
+Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Kai-Chung Yan <seamlikok@gmail.com>
-Build-Depends: debhelper (>=9),
-               android-libsparse-dev (>= 1:6.0.0+r26~),
-               android-libselinux-dev (>= 6.0.1+r16~),
-               android-platform-build-headers (>= 1:6.0.0+r26~),
-               android-platform-system-core-headers (>= 1:6.0.0+r26~),
+           Kai-Chung Yan <seamlikok@gmail.com>,
+           Chirayu Desai <chirayudesai1@gmail.com>
+Build-Depends: android-libsparse-dev (>= 1:6.0.1+r55~),
+               android-libselinux-dev (>= 6.0.1+r55~),
+               android-platform-build-headers (>= 1:6.0.1+r55~),
+               android-platform-system-core-headers (>= 1:6.0.1+r55~),
+               debhelper (>=9),
+               dh-exec,
                libf2fs-dev,
                zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://android.googlesource.com/platform/system/extras
 Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-system-extras.git
 Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-system-extras.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
+export DEB_LDFLAGS_MAINT_APPEND = -fPIC
+export DEB_CPPFLAGS_MAINT_APPEND = -include android/arch/AndroidConfig.h \
+                                   -I/usr/include/android
+export DEB_CFLAGS_MAINT_APPEND = -DNDEBUG
+export DEB_CXXFLAGS_MAINT_APPEND = -DNDEBUG
 UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))
 
 %:

## android-platform-system-extras 7.0.0+r1

=== debian/changelog ===
android-platform-system-extras (7.0.0+r1-2) unstable; urgency=medium

  * Upload to unstable

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 06 Dec 2016 22:18:46 +0800

android-platform-system-extras (7.0.0+r1-1) experimental; urgency=medium

  * New upstream release
  * Enable builds for ARM & MIPS
  * Update to debhelper 10

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 23 Sep 2016 18:47:36 +0800

=== debian/control ===
Source: android-platform-system-extras
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Kai-Chung Yan <seamlikok@gmail.com>,
           Chirayu Desai <chirayudesai1@gmail.com>
Build-Depends: android-libsparse-dev (>= 1:7.0.0+r1~),
               android-libselinux-dev (>= 7.0.0+r1~),
               android-platform-system-core-headers (>= 1:7.0.0+r1~),
               debhelper (>=10),
               dh-exec,
               libf2fs-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://android.googlesource.com/platform/system/extras
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-system-extras.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-system-extras.git

Package: android-libf2fs-utils
Section: libs
Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
Depends: libf2fs0, ${shlibs:Depends}, ${misc:Depends}
Description: Android F2FS utility library
 This package contains only libf2fs_utils which is composed of libf2fs_ioutils
 and libf2fs_dlutils.
 .
 This library is only used by fastboot currently.

Package: android-libf2fs-utils-dev
Section: libdevel
Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
Depends: android-libf2fs-utils (= ${binary:Version}),
         libf2fs-dev,
         ${misc:Depends}
Description: Android F2FS utility library - Development files
 This package contains only libf2fs_utils which is composed of libf2fs_ioutils
 and libf2fs_dlutils.
 .
 This library is only used by fastboot currently.
 .
 This package contains the development files.

Package: android-libext4-utils
Section: libs
Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android ext4 utility library
 This library is only used by fastboot currently.

Package: android-libext4-utils-dev
Section: libdevel
Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
Depends: android-libext4-utils (= ${binary:Version}), ${misc:Depends}
Description: Android ext4 utility library - Development files
 This library is only used by fastboot currently.
 .
 This package contains the development files.

## android-platform-system-extras 7.0.0+r33

=== debian/changelog ===
android-platform-system-extras (7.0.0+r33-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 26 Apr 2017 16:40:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
            Kai-Chung Yan <seamlikok@gmail.com>,
            Chirayu Desai <chirayudesai1@gmail.com>
-Build-Depends: android-libsparse-dev (>= 1:7.0.0+r1~),
-               android-libselinux-dev (>= 7.0.0+r1~),
-               android-platform-system-core-headers (>= 1:7.0.0+r1~),
+Build-Depends: android-libsparse-dev (>= 1:7.0.0+r33~),
+               android-libselinux-dev (>= 7.0.0~),
+               android-platform-system-core-headers (>= 1:7.0.0+r33~),
                debhelper (>=10),
                dh-exec,
                libf2fs-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -fPIC
export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/android
export DEB_CFLAGS_MAINT_APPEND = -DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND = -DNDEBUG

lib%.so: debian/lib%.mk
	make -f $<

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/android

override_dh_auto_build: libext4_utils.so libf2fs_utils.so

override_dh_auto_clean:
	dh_auto_clean
	make clean -f debian/libext4_utils.mk
	make clean -f debian/libf2fs_utils.mk

get-orig-source:
	uscan --download-current-version --force-download

=== debian/watch ===
version=4
opts="pagemangle=s%\">android-%\.tar\.gz\">android-%g;s%/\+/%/+archive/%g, \
      uversionmangle=s%\.(\d+)\.\.tar\.gz%\+r$1%, \
      filenamemangle=s%[\w\/]+\+archive\/android-%@PACKAGE@-%, \
      repack, compression=xz" \
https://android.googlesource.com/platform/system/extras/+refs \
    [\w\/]+\+archive\/android-([0-9\.]+)_r(\d+|\d+\.\d+|\w)(\.tar\.gz) debian uupdate

## android-platform-system-extras 8.1.0%2Br23

=== debian/changelog ===
android-platform-system-extras (8.1.0+r23-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1819448.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2019 14:45:19 +0100

android-platform-system-extras (8.1.0+r23-2) unstable; urgency=medium

  * Release to unstable

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sun, 21 Oct 2018 17:22:46 +0800

android-platform-system-extras (8.1.0+r23-1) experimental; urgency=medium

  [ Hans-Christoph Steiner ]
  * New upstream release
  * d/copyright: Use HTTPS URLs
  * Switch to Salsa

  [ Saif Abdul Cassim ]
  * New package android-sdk-ext4-utils providing:
    * mkuserimg
    * ext4fixup
    * make_ext4fs
    * This package is replacing the obsolete android-tools-fsutils

  [ Kai-Chung Yan ]
  * Debhelper level => 11
  * d/rules: Use dh-auto-build instead of plain make thanks to Helmut Grohne
  * Fix the conflicting types errors (Closes: #892170)
  * Standards-Version => 4.2.1

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sun, 30 Sep 2018 21:08:46 +0800

## android-platform-system-extras 8.1.0+r23

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,40 @@
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
            Kai-Chung Yan <seamlikok@gmail.com>,
            Chirayu Desai <chirayudesai1@gmail.com>
-Build-Depends: android-libsparse-dev (>= 1:7.0.0+r33~),
-               android-libselinux-dev (>= 7.0.0~),
-               android-platform-system-core-headers (>= 1:7.0.0+r33~),
-               debhelper (>=10),
+Build-Depends: android-libsparse-dev (>= 1:8.1.0+r23~),
+               android-libselinux-dev (>= 8.1.0+r23~),
+               android-libcutils-dev (>= 1:8.1.0+r23~),
+               android-platform-system-core-headers (>= 1:8.1.0+r23~),
+               debhelper (>=11~),
                dh-exec,
-               libf2fs-dev,
-               zlib1g-dev
-Standards-Version: 3.9.8
+               pandoc,
+               libf2fs-dev (>= 1.11.0),
+               libf2fs-format-dev (>= 1.11.0)
+Standards-Version: 4.2.1
 Homepage: https://android.googlesource.com/platform/system/extras
-Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-system-extras.git
-Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-system-extras.git
+Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-system-extras.git
+Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-system-extras
+
+Package: android-sdk-ext4-utils
+Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
+Section: utils
+Depends: e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
+Breaks: android-tools-fsutils
+Replaces: android-tools-fsutils
+Description: Android ext4-utils tools
+ Command line tools to make sparse images from ext4 file system images
+ and android images(.img) with ext4 file systems.
+ .
+ This package contains tools like mkuserimg, ext4fixup and
+ make_ext4fs tools.
 
 Package: android-libf2fs-utils
 Section: libs
 Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
-Depends: libf2fs0, ${shlibs:Depends}, ${misc:Depends}
+Depends: libf2fs5, libf2fs-format4, ${shlibs:Depends}, ${misc:Depends}
 Description: Android F2FS utility library
- This package contains only libf2fs_utils which is composed of libf2fs_ioutils
- and libf2fs_dlutils.
+ This package contains only libf2fs_utils which is composed of
+ libf2fs_ioutils and libf2fs_dlutils.
  .
  This library is only used by fastboot currently.
 
@@ -34,8 +49,8 @@
          libf2fs-dev,
          ${misc:Depends}
 Description: Android F2FS utility library - Development files
- This package contains only libf2fs_utils which is composed of libf2fs_ioutils
- and libf2fs_dlutils.
+ This package contains only libf2fs_utils which is composed of
+ libf2fs_ioutils and libf2fs_dlutils.
  .
  This library is only used by fastboot currently.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -fPIC
export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/android -DNDEBUG
export OUT_DIR = debian/out

lib%.so: debian/lib%.mk
	dh_auto_build --buildsystem=makefile -- -f $<

ext4_utils/ext4fixup: debian/ext4fixup.mk libext4_utils.so
	dh_auto_build --buildsystem=makefile -- -f $<

ext4_utils/make_ext4fs: debian/make_ext4fs.mk libext4_utils.so
	dh_auto_build --buildsystem=makefile -- -f $<

%:
	dh $@


override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/android

override_dh_auto_build: \
		ext4_utils/ext4fixup \
		ext4_utils/make_ext4fs \
		libext4_utils.so \
		libf2fs_utils.so

## android-platform-system-extras 10.0.0%2Br36%2Bds

=== debian/changelog ===
android-platform-system-extras (10.0.0+r36+ds-3deepin1) unstable; urgency=medium

  * update debian 10.0.0+r36+ds-2.1

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 27 Dec 2023 21:13:28 +0800

android-platform-system-extras (10.0.0+r36+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adapt to new libsquashfuse-dev. (Closes: #1026541)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Jan 2023 17:40:05 +0200

android-platform-system-extras (10.0.0+r36+ds-2) unstable; urgency=medium

  * Team upload.
  * Source only upload to allow testing migration.

 -- Roger Shimizu <rosh@debian.org>  Wed, 23 Dec 2020 18:48:01 +0900

android-platform-system-extras (10.0.0+r36+ds-1) unstable; urgency=medium

  * Team upload.

  [ Hans-Christoph Steiner ]
  * gitlab-ci: publish builds to aptly repo
  * gitlab-ci: fix aptly job

  [ Roger Shimizu ]
  * Re-import upstream as 10.0.0+r36+ds, to remove binaries.
  * Add building libfec
  * libext4-utils: Move all .so to library package
  * debian/control:
    - Add more package description.
  * debian/copyright:
    - Add removed binaries to Files-Excluded list.
    - Remove entries that no longer exist.
  * debian/rules:
    - Add security hardening.
  * debian/source/lintian-overrides:
    - Remove entries that no longer exist.
  * debian/watch:
    - Add repack version mangling.

 -- Roger Shimizu <rosh@debian.org>  Tue, 22 Dec 2020 03:12:44 +0900

android-platform-system-extras (10.0.0+r36-1) unstable; urgency=medium

  * New upstream version
  * removed packages removed by upstream: android-libf2fs-utils-dev,
    android-libf2fs-utils, and android-sdk-ext4-utils

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 25 Nov 2020 14:42:21 +0100

android-platform-system-extras (8.1.0+r23-3) unstable; urgency=medium

  [ Roger Shimizu ]
  * d/watch: Update rule to get new upstream version

  [ Hans-Christoph Steiner ]
  * Pass -fcommon to unbreak build with GCC 10 (Closes: #956999)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 08 Oct 2020 19:03:22 +0200

## android-platform-system-extras 10.0.0+r36

=== debian/control ===
Source: android-platform-system-extras
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Kai-Chung Yan <seamlikok@gmail.com>,
           Chirayu Desai <chirayudesai1@gmail.com>
Build-Depends: debhelper-compat (= 12),
               android-libsparse-dev (>= 1:10.0.0+r36-1~),
               android-libselinux-dev (>= 10.0.0+r36-1~),
               android-libcutils-dev (>= 1:10.0.0+r36-1~),
               android-libbase-dev (>= 1:10.0.0+r36-1~),
               android-platform-system-core-headers (>= 1:10.0.0+r36-1~),
               dh-exec,
               libsquashfuse-dev,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://android.googlesource.com/platform/system/extras
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-system-extras.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-system-extras

Package: android-libext4-utils
Section: libs
Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android ext4 utility library
 This library is only used by fastboot currently.

Package: android-libext4-utils-dev
Section: libdevel
Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
Depends: android-libext4-utils (= ${binary:Version}), ${misc:Depends}
Description: Android ext4 utility library - Development files
 This library is only used by fastboot currently.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -fPIC
export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/android -DNDEBUG
export OUT_DIR = debian/out

lib%.so: debian/lib%.mk
	dh_auto_build --buildsystem=makefile -- -f $<

%:
	dh $@


override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/android

override_dh_auto_build: libext4_utils.so

=== debian/watch ===
version=4
opts="pagemangle=s%\">android-%\.tar\.gz\">android-%g;s%/\+/refs/tags/%/+archive/%g, \
      uversionmangle=s%\.(\d+)\.\.tar\.gz%\+r$1%, \
      filenamemangle=s%[\w\/]+\+archive\/android-%@PACKAGE@-%" \
https://android.googlesource.com/platform/system/extras/+refs \
    [\w\/]+\+archive\/android-([0-9\.]+)_r(\d+|\d+\.\d+|\w)(\.tar\.gz) debian uupdate

## android-platform-system-extras 10.0.0+r36+ds

=== debian/control ===
--- 
+++ 
@@ -24,13 +24,43 @@
 Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android ext4 utility library
- This library is only used by fastboot currently.
+ Android ext4 filesystem utility library, which is only used by fastboot
+ currently.
 
 Package: android-libext4-utils-dev
 Section: libdevel
-Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
-Depends: android-libext4-utils (= ${binary:Version}), ${misc:Depends}
+Architecture: all
+Depends:
+ android-libext4-utils (>= ${binary:Version}),
+ android-libext4-utils (<< ${binary:Version}.1~),
+ ${misc:Depends}
 Description: Android ext4 utility library - Development files
- This library is only used by fastboot currently.
+ Android ext4 filesystem utility library header files, which is only
+ used by fastboot currently.
  .
  This package contains the development files.
+
+Package: android-libfec
+Section: libs
+Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Android libfec library
+ Android libfec library, which read files or partitions with
+ error-correcting codes appended to them. Uses verity metadata to speed
+ up I/O and improve error correction effectiveness.
+ .
+ This is only used by fastboot currently.
+
+Package: android-libfec-dev
+Section: libdevel
+Architecture: all
+Depends:
+ android-libfec (>= ${binary:Version}),
+ android-libfec (<< ${binary:Version}.1~),
+ ${misc:Depends}
+Description: Android libfec library - Development files
+ Android libfec library, which read files or partitions with
+ error-correcting codes appended to them. Uses verity metadata to speed
+ up I/O and improve error correction effectiveness.
+ .
+ This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
+# Security Hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -fPIC
 export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/android -DNDEBUG
 export OUT_DIR = debian/out
@@ -17,4 +19,4 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/android
 
-override_dh_auto_build: libext4_utils.so
+override_dh_auto_build: libext4_utils.so libfec.so
